{% extends 'base.html' %}

{% block content %}
<main>
    <h1>Your shopping list</h1>

    <!-- Add this code -->
    <div>
        <form method="post" action="{% url 'shopping_delete' %}">
            {% csrf_token %}
            <button class="button">Delete all</button>
        </form>
    </div>
    <!-- end new code -->

    <ul>
        {% for item in shopping_list.all %}
        <li>{{ item.food_item }}</li>
        {% endfor %}
    </ul>
</main>
{% endblock content %}